@import 'variables';

.border-primary {
  border: solid 1px $main-color;
}

.bg-main {
  background-color: $main-color;
}

.rounded-top {
  border-radius: 5px 5px 0 0;
}

.rounded-bottom {
  border-radius: 0 0 5px 5px;
}

.rounded-left {
  border-radius: 5px 0 0 5px;
}

.rounded-right {
  border-radius: 0 5px 5px 0;
}

.image-sm {
  max-width: 500px;
  max-height: auto;

  @media screen and (max-width: 540px) {
    max-width: 100%;
  }
}

.image-md {
  max-width: 800px;
  max-height: auto;

  @media screen and (max-width: 720px) {
    max-width: 100%;
  }
}

.image-lg {
  max-width: 1000px;
  max-height: auto;

  @media screen and (max-width: 960px) {
    max-width: 100%;
  }
}

.image-xl {
  max-width: 1200px;
  max-height: auto;

  @media screen and (max-width: 1140px) {
    max-width: 100%;
  }
}

.image-full {
  max-width: 100%;
  max-height: auto;
}

.iframe-xs {
  width: 100%;
  height: 300px;
}

.iframe-sm {
  width: 100%;
  height: 500px;
}

.iframe-md {
  width: 100%;
  height: 800px;
}

.iframe-lg {
  width: 100%;
  height: 1000px;
}

.iframe-xl {
  width: 100%;
  height: 1200px;
}

// Buttons

.btn-width-xs {
  min-width: 100px;

  @media (max-width: 767px) {
    width: 100%;
  }
}

.btn-width-sm {
  min-width: 200px;

  @media (max-width: 767px) {
    width: 100%;
  }
}

.btn-width-md {
  min-width: 300px;

  @media (max-width: 767px) {
    width: 100%;
  }
}

.btn-width-lg {
  min-width: 400px;

  @media (max-width: 767px) {
    width: 100%;
  }
}

.btn-width-xl {
  min-width: 500px;

  @media (max-width: 767px) {
    width: 100%;
  }
}

.btn-width-xxl {
  min-width: 600px;

  @media (max-width: 767px) {
    width: 100%;
  }
}

.container-btn-center-responsive {
  display: flex;
  justify-content: center;

  @media (max-width: 767px) {
    max-width: 100%;
    display: flex;
    flex-direction: column;
  }
}